
/*
      _______                          .__ .__   .__   .__                 
      \      \    ____   __ __ _______ |__||  |  |  |  |__|  ____    ____  
      /   |   \ _/ __ \ |  |  \\_  __ \|  ||  |  |  |  |  | /  _ \  /    \ 
     /    |    \\  ___/ |  |  / |  | \/|  ||  |__|  |__|  |(  <_> )|   |  \
     \____|__  / \___  >|____/  |__|   |__||____/|____/|__| \____/ |___|  /
    =========\/======\/=================================================\/==
  v0.01 19/OCT/2007  Copyright 2007-2007 Scott D. Yelich SOME RIGHTS RESERVED


  LICENSE:  Creative Commons Attribution 3.0 License.
  SEE:      http://creativecommons.org/licenses/by/3.0/


  Fri Oct 19 23:57:59 EST 2007, v0.01 sdy

  This is a *very* simple program written to test base64 encoding.

*/

#include <iostream>

//  PACKAGE

#include "Base64.h"

int
main(int argc, char *argv[])
{
  Base64 b64;
  std::string s;
  std::string s1;
  std::string s2;

  s = "This is an equation: 1+1=3, but it's just plain wrong! Not only that, but this text is so long that it will probably wrap more than one time to show that the algorithm actually works!  Yet, I could go on and on just to see how long I could make this text to see if I could get all the characters of the base64 such as ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789 along with '+' and \"/\" in the mix!\n";

  std::cout << "Original s("<<s<<")"<<std::endl;
  s1 = b64.encode(s,48);
  std::cout << "Encoded s1("<<s1<<")"<<std::endl;
  s2 = b64.decode(s1);
  std::cout << "Decoded s1 is s2("<<s2<<")" << std::endl;
  s1 = b64.encode(s2,48);
  std::cout << "Re-encoded s2 is s1("<<s1<<")"<<std::endl;
  s2 = b64.decode(s1);
  std::cout << "Re-decoded s1 is s2("<<s2<<")" << std::endl;
  std::cout << "Are they the same? ";
  if (!s.compare(s2)) {
    std::cout << "yes" << std::endl;
  } else {
    std::cout << "no" << std::endl;
  }
}

